Comme annoncé, ce forum est passé en lecture seule au 1er janvier 2020. Désormais nous vous invitons à vous rendre sur notre nouvelle page communauté :
Image

A très bientôt !

Conflit avec un autre plugin ?

Avatar de l’utilisateur
akenad
Actif
Messages : 697
Inscription : 27 oct. 2017, 11:39

Re: Conflit avec un autre plugin ?

Message par akenad » 29 août 2019, 10:24

Je ne peux pas faire de tests pour l’instant.
Toutefois d’après les tests que j’ai déjà effectué hier et que j’ai décris précédemment, une hypothèse serait qu’il faille passer en dernière version de nodejs8.x avant de repartir sur une branche plus récente pour que les recompilations de nodes se passent bien.

C’est ce qui s’est passé hier lorsque en courant de journée tu a modifié le Install_homebridge.sh de la stable de v8 en v12 puis de v12 en v8 et que tu a demandé de réparer et réinstaller.
Puis repassé à nouveau de v8 en v12.

L’autre hypothèse est que les nodes ed25519 et curve25519 étant des algos de crypto, il est possible que pour leur optimisation, ils nécessitent une recompilation en fonction de l’architecture :
-amd64 (x86_64)
-armhf (pi3 arm7 et pi 4 arm8)
-arm64 (smart, Odroid-C2 arm8)

On peut d’ailleurs en passant dire qu’il faut s’attendre aussi à un souci avec la smart qui actuellement utilise un vieux nodejs8.x du dépôt Jeedom.

akenad :)
Dernière édition par akenad le 29 août 2019, 10:27, édité 1 fois.
Présentation akenad
JeedomSmart Debian Stretch
Odroid-C2 eMMC Armbian Buster Kernel 5
RPi3B+ SSD Raspbian Stretch
RPi4B SSD Raspbian Buster
NUC Intel i7Gen7 ProxMox VM Debian Stretch & Buster

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6514
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: Conflit avec un autre plugin ?

Message par Nebz » 29 août 2019, 10:26

akenad a écrit :Je ne peux pas faire de tests pour l’instant.
Toutefois d’après les tests que j’ai déjà effectué hier et que j’ai décris précédemment, une hypothèse serait qu’il faille passer en dernière version de nodejs8.x avant de repartir sur une branche plus récente pour que les recompilations de cnodes se passent bien.

C’est ce qui s’est passé hier lorsque en courant de journée tu a modifié le
Install_homebridge.sh de la stable de v8 en v12 puis de v12 en v8
Et que tu a demandé de réparer et réinstaller.
puis repasser a nouveau de v8 en v12.

L’autre hypothèse est que
les nodes ed25519 et curve25519 étant des algos de crypto, il est possible que pour leur optimisation, ils nécessitent une recompilation en fonction de l’architecture :
-amd64 (x86_64)
-armhf (pi3 arm7 et pi 4 arm8)
-arm64 (smart, Odroid-C2)

On peut d’ailleurs en passant dire qu’il faut s’attendre aussi à un souci avec la smart qui actuellement utilise un vieux nodejs8.x du dépôt Jeedom.

akenad :)
Waip, ce dépôt disparaît début septembre...

Oui il doit recompiler en changeant de Node aussi... mais comme tu vois dans les messages d'erreur il y a toujours des références v8 alors qu'on est en v12. Mais normalement la mise à jour forcée de nan devrait résoudre ça !


Envoyé de mon iPhone en utilisant Tapatalk
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Avatar de l’utilisateur
akenad
Actif
Messages : 697
Inscription : 27 oct. 2017, 11:39

Re: Conflit avec un autre plugin ?

Message par akenad » 29 août 2019, 10:46

Les références à « v8 » dans les logs lors d’une recompilation de node ne correspondraient elles pas au moteur chrome javascript V8 sur lequel nodejs est construit et non pas à la version de branche de nodejs ?

akenad :)
Présentation akenad
JeedomSmart Debian Stretch
Odroid-C2 eMMC Armbian Buster Kernel 5
RPi3B+ SSD Raspbian Stretch
RPi4B SSD Raspbian Buster
NUC Intel i7Gen7 ProxMox VM Debian Stretch & Buster

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6514
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: Conflit avec un autre plugin ?

Message par Nebz » 29 août 2019, 10:48

aucune idée... possible...

d'après des issues trouvées sur d'autres github's le problème principal est que IsNearDeath n'existe plus (seule erreur de ces logs)

la dernière version de nan ne l'utilise plus... donc ca devrait fonctionner maintenant
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Avatar de l’utilisateur
darghorn
Timide
Messages : 97
Inscription : 08 nov. 2014, 04:35
Localisation : 92

Re: Conflit avec un autre plugin ?

Message par darghorn » 29 août 2019, 11:22

Nebz a écrit :
28 août 2019, 21:06
le problème semble donc résolu

@darghorn

pouvez vous mettre à jour homebridge et me confirmer egalement ?
Désolé j'ai un peu trainé à répondre ...

Donc au final après le reset de ma VM j'avais toujours le souci, j'ai du supprimer le plugin homebridge, et le remettre en beta pour que tout refonctionne.

Je l'ai repassé en stable, tout à l'air OK.

Merci à toi
DIY / VM Debian sur ESXi 6.5 - ProLiant MicroServer Gen8
Protocoles : Z-Wave+ / Hue / Xiaomi

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6514
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: Conflit avec un autre plugin ?

Message par Nebz » 29 août 2019, 11:23

darghorn a écrit :
29 août 2019, 11:22
Nebz a écrit :
28 août 2019, 21:06
le problème semble donc résolu

@darghorn

pouvez vous mettre à jour homebridge et me confirmer egalement ?
Désolé j'ai un peu trainé à répondre ...

Donc au final après le reset de ma VM j'avais toujours le souci, j'ai du supprimer le plugin homebridge, et le remettre en beta pour que tout refonctionne.

Je l'ai repassé en stable, tout à l'air OK.

Merci à toi
si tu as le temps et l'envie (et toujours le snapshot) tu pourrais repartir du problème et mettre à jour (la stable = la beta maintenant) en stable et voir si ca le résout directement ?
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Avatar de l’utilisateur
darghorn
Timide
Messages : 97
Inscription : 08 nov. 2014, 04:35
Localisation : 92

Re: Conflit avec un autre plugin ?

Message par darghorn » 29 août 2019, 11:24

Ok pas de souci je te fait ça ce soir ou demain
DIY / VM Debian sur ESXi 6.5 - ProLiant MicroServer Gen8
Protocoles : Z-Wave+ / Hue / Xiaomi

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6514
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: Conflit avec un autre plugin ?

Message par Nebz » 29 août 2019, 11:25

merci !! :)
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Avatar de l’utilisateur
akenad
Actif
Messages : 697
Inscription : 27 oct. 2017, 11:39

Re: Conflit avec un autre plugin ?

Message par akenad » 29 août 2019, 15:05

Nebz a écrit :
29 août 2019, 08:44
...j'ai tenté de forcer une maj de nan en homebridge en beta, tu peux tester ? (ils semblent avoir résolu en 2.14.0 qui est pourtant dans les dependances de curve mais il doit garder une vieille version qqpart).
(donc quand tu repasses vers 10 en fait, il doit aussi rester dans la vieille version (10 donc) quand tu passes en 12 après et donc ca fonctionne)

le problème que j'ai eu hiers c'est que à un moment, à force d'essayer, on dirait que qqch se réparre à l'arrière et tout d'un coup ca passe...
Actuellement sur https://www.npmjs.com
Curve25519-n@1.5.0 (et non pas 1.4.0 comme indiqué dans log dep homebridge) a comme dépendances bindings@1.5.0 et nan@2.14.0

et ed25519-hap@0.0.5 a aussi comme dépendance bindings@1.5.0 et nan@2.14.0 (et non pas respectivement 1.3.0 et 2.11.1 comme indiqué dans le log dans /root/.npm/_logs)

akenad :)
Présentation akenad
JeedomSmart Debian Stretch
Odroid-C2 eMMC Armbian Buster Kernel 5
RPi3B+ SSD Raspbian Stretch
RPi4B SSD Raspbian Buster
NUC Intel i7Gen7 ProxMox VM Debian Stretch & Buster

BetyOops
Timide
Messages : 107
Inscription : 13 avr. 2016, 14:35

Re: Conflit avec un autre plugin ?

Message par BetyOops » 30 août 2019, 12:23

Nebz a écrit :
28 août 2019, 22:59
BetyOops a écrit :Bonjour,

Je viens me greffer au sujet, j'ai exactement le meme soucis.

J'ai supprimer alexa-api, nettoyer l'install node, relance les dépendances, mais j'ai toujours les erreurs pendant la réinstallation...

Code : Tout sélectionner

node-gyp rebuild
make: Entering directory '/var/www/html/plugins/homebridge/resources/node_modules/curve25519-n/build'
CXX(target) Release/obj.target/curve/node_curve.o
In file included from ../../nan/nan_converters.h:67:0,
from ../../nan/nan.h:221,
from ../node_curve.cc:10:
../../nan/nan_converters_43_inl.h: In static member function 'static Nan::imp::ToFactoryBase<v8::Boolean>::return_t Nan::imp::ToFactory<v8::Boolean>::convert(v8::Local<v8::Value>)':
../../nan/nan_converters_43_inl.h:18:51: warning: 'v8::MaybeLocal<v8::Boolean> v8::Value::ToBoolean(v8::Local<v8::Context>) const' is deprecated: ToBoolean can never throw. Use Local version. [-Wdeprecated-declarations]
val->To ## TYPE(isolate->GetCurrentContext())                            \
^
../../nan/nan_converters_43_inl.h:22:1: note: in expansion of macro 'X'
X(Boolean)
^
In file included from /root/.cache/node-gyp/12.9.1/include/node/v8-internal.h:14:0,
from /root/.cache/node-gyp/12.9.1/include/node/v8.h:25,
from /root/.cache/node-gyp/12.9.1/include/node/node.h:63,
from ../../nan/nan.h:52,
from ../node_curve.cc:10:
/root/.cache/node-gyp/12.9.1/include/node/v8.h:2537:59: note: declared here
V8_WARN_UNUSED_RESULT MaybeLocal<Boolean> ToBoolean(
^
/root/.cache/node-gyp/12.9.1/include/node/v8config.h:311:3: note: in definition of macro 'V8_DEPRECATED'
declarator __attribute__((deprecated(message)))
^~~~~~~~~~
In file included from ../../nan/nan_converters.h:67:0,
from ../../nan/nan.h:221,
from ../node_curve.cc:10:
../../nan/nan_converters_43_inl.h: In static member function 'static Nan::imp::ValueFactoryBase<bool>::return_t Nan::imp::ToFactory<bool>::convert(v8::Local<v8::Value>)':
../../nan/nan_converters_43_inl.h:37:57: warning: 'v8::Maybe<bool> v8::Value::BooleanValue(v8::Local<v8::Context>) const' is deprecated: BooleanValue can never throw. Use Isolate version. [-Wdeprecated-declarations]
return val->NAME ## Value(isolate->GetCurrentContext());                     \
^
../../nan/nan_converters_43_inl.h:40:1: note: in expansion of macro 'X'
X(bool, Boolean)
^
In file included from /root/.cache/node-gyp/12.9.1/include/node/v8-internal.h:14:0,
from /root/.cache/node-gyp/12.9.1/include/node/v8.h:25,
from /root/.cache/node-gyp/12.9.1/include/node/node.h:63,
from ../../nan/nan.h:52,
from ../node_curve.cc:10:
/root/.cache/node-gyp/12.9.1/include/node/v8.h:2575:51: note: declared here
V8_WARN_UNUSED_RESULT Maybe<bool> BooleanValue(
^
/root/.cache/node-gyp/12.9.1/include/node/v8config.h:311:3: note: in definition of macro 'V8_DEPRECATED'
declarator __attribute__((deprecated(message)))
^~~~~~~~~~
In file included from ../../nan/nan_new.h:189:0,
from ../../nan/nan.h:222,
from ../node_curve.cc:10:
../../nan/nan_implementation_12_inl.h: In static member function 'static Nan::imp::FactoryBase<v8::Function>::return_t Nan::imp::Factory<v8::Function>::New(Nan::FunctionCallback, v8::Local<v8::Value>)':
../../nan/nan_implementation_12_inl.h:105:32: error: no matching function for call to 'v8::Function::New(v8::Isolate*&, void (&)(const v8::FunctionCallbackInfo<v8::Value>&), v8::Local<v8::Object>&)'
, obj));
^
In file included from /root/.cache/node-gyp/12.9.1/include/node/node.h:63:0,
from ../../nan/nan.h:52,
from ../node_curve.cc:10:
/root/.cache/node-gyp/12.9.1/include/node/v8.h:4138:31: note: candidate: static v8::MaybeLocal<v8::Function> v8::Function::New(v8::Local<v8::Context>, v8::FunctionCallback, v8::Local<v8::Value>, int, v8::ConstructorBehavior, v8::SideEffectType)
static MaybeLocal<Function> New(
^~~
/root/.cache/node-gyp/12.9.1/include/node/v8.h:4138:31: note:   no known conversion for argument 1 from 'v8::Isolate*' to 'v8::Local<v8::Context>'
In file included from ../node_curve.cc:10:0:
../../nan/nan.h: In constructor 'Nan::Utf8String::Utf8String(v8::Local<v8::Value>)':
../../nan/nan.h:1064:78: warning: 'v8::Local<v8::String> v8::Value::ToString(v8::Isolate*) const' is deprecated: Use maybe version [-Wdeprecated-declarations]
v8::Local<v8::String> string = from->ToString(v8::Isolate::GetCurrent());
^
In file included from /root/.cache/node-gyp/12.9.1/include/node/v8-internal.h:14:0,
from /root/.cache/node-gyp/12.9.1/include/node/v8.h:25,
from /root/.cache/node-gyp/12.9.1/include/node/node.h:63,
from ../../nan/nan.h:52,
from ../node_curve.cc:10:
/root/.cache/node-gyp/12.9.1/include/node/v8.h:2557:31: note: declared here
Local<String> ToString(Isolate* isolate) const);
^
/root/.cache/node-gyp/12.9.1/include/node/v8config.h:311:3: note: in definition of macro 'V8_DEPRECATED'
declarator __attribute__((deprecated(message)))
^~~~~~~~~~
In file included from ../node_curve.cc:10:0:
../../nan/nan.h: In member function 'void Nan::AsyncWorker::SaveToPersistent(const char*, const v8::Local<v8::Value>&)':
../../nan/nan.h:1855:64: warning: 'bool v8::Object::Set(v8::Local<v8::Value>, v8::Local<v8::Value>)' is deprecated: Use maybe version [-Wdeprecated-declarations]
New(persistentHandle)->Set(New(key).ToLocalChecked(), value);
^
In file included from /root/.cache/node-gyp/12.9.1/include/node/v8-internal.h:14:0,
from /root/.cache/node-gyp/12.9.1/include/node/v8.h:25,
from /root/.cache/node-gyp/12.9.1/include/node/node.h:63,
from ../../nan/nan.h:52,
from ../node_curve.cc:10:
/root/.cache/node-gyp/12.9.1/include/node/v8.h:3372:22: note: declared here
bool Set(Local<Value> key, Local<Value> value));
^
/root/.cache/node-gyp/12.9.1/include/node/v8config.h:311:3: note: in definition of macro 'V8_DEPRECATED'
declarator __attribute__((deprecated(message)))
^~~~~~~~~~
In file included from ../node_curve.cc:10:0:
../../nan/nan.h: In member function 'void Nan::AsyncWorker::SaveToPersistent(const v8::Local<v8::String>&, const v8::Local<v8::Value>&)':
../../nan/nan.h:1861:42: warning: 'bool v8::Object::Set(v8::Local<v8::Value>, v8::Local<v8::Value>)' is deprecated: Use maybe version [-Wdeprecated-declarations]
New(persistentHandle)->Set(key, value);
^
In file included from /root/.cache/node-gyp/12.9.1/include/node/v8-internal.h:14:0,
from /root/.cache/node-gyp/12.9.1/include/node/v8.h:25,
from /root/.cache/node-gyp/12.9.1/include/node/node.h:63,
from ../../nan/nan.h:52,
from ../node_curve.cc:10:
/root/.cache/node-gyp/12.9.1/include/node/v8.h:3372:22: note: declared here
bool Set(Local<Value> key, Local<Value> value));
^
/root/.cache/node-gyp/12.9.1/include/node/v8config.h:311:3: note: in definition of macro 'V8_DEPRECATED'
declarator __attribute__((deprecated(message)))
^~~~~~~~~~
In file included from ../node_curve.cc:10:0:
../../nan/nan.h: In member function 'void Nan::AsyncWorker::SaveToPersistent(uint32_t, const v8::Local<v8::Value>&)':
../../nan/nan.h:1867:44: warning: 'bool v8::Object::Set(uint32_t, v8::Local<v8::Value>)' is deprecated: Use maybe version [-Wdeprecated-declarations]
New(persistentHandle)->Set(index, value);
^
In file included from /root/.cache/node-gyp/12.9.1/include/node/v8-internal.h:14:0,
from /root/.cache/node-gyp/12.9.1/include/node/v8.h:25,
from /root/.cache/node-gyp/12.9.1/include/node/node.h:63,
from ../../nan/nan.h:52,
from ../node_curve.cc:10:
/root/.cache/node-gyp/12.9.1/include/node/v8.h:3381:22: note: declared here
bool Set(uint32_t index, Local<Value> value));
^
/root/.cache/node-gyp/12.9.1/include/node/v8config.h:311:3: note: in definition of macro 'V8_DEPRECATED'
declarator __attribute__((deprecated(message)))
^~~~~~~~~~
In file included from ../node_curve.cc:10:0:
../../nan/nan.h: In member function 'v8::Local<v8::Value> Nan::AsyncWorker::GetFromPersistent(const char*) const':
../../nan/nan.h:1873:61: warning: 'v8::Local<v8::Value> v8::Object::Get(v8::Local<v8::Value>)' is deprecated: Use maybe version [-Wdeprecated-declarations]
New(persistentHandle)->Get(New(key).ToLocalChecked()));
^
In file included from /root/.cache/node-gyp/12.9.1/include/node/v8-internal.h:14:0,
from /root/.cache/node-gyp/12.9.1/include/node/v8.h:25,
from /root/.cache/node-gyp/12.9.1/include/node/node.h:63,
from ../../nan/nan.h:52,
from ../node_curve.cc:10:
/root/.cache/node-gyp/12.9.1/include/node/v8.h:3425:51: note: declared here
V8_DEPRECATED("Use maybe version", Local<Value> Get(Local<Value> key));
^
/root/.cache/node-gyp/12.9.1/include/node/v8config.h:311:3: note: in definition of macro 'V8_DEPRECATED'
declarator __attribute__((deprecated(message)))
^~~~~~~~~~
In file included from ../node_curve.cc:10:0:
../../nan/nan.h: In member function 'v8::Local<v8::Value> Nan::AsyncWorker::GetFromPersistent(const v8::Local<v8::String>&) const':
../../nan/nan.h:1879:55: warning: 'v8::Local<v8::Value> v8::Object::Get(v8::Local<v8::Value>)' is deprecated: Use maybe version [-Wdeprecated-declarations]
return scope.Escape(New(persistentHandle)->Get(key));
^
In file included from /root/.cache/node-gyp/12.9.1/include/node/v8-internal.h:14:0,
from /root/.cache/node-gyp/12.9.1/include/node/v8.h:25,
from /root/.cache/node-gyp/12.9.1/include/node/node.h:63,
from ../../nan/nan.h:52,
from ../node_curve.cc:10:
/root/.cache/node-gyp/12.9.1/include/node/v8.h:3425:51: note: declared here
V8_DEPRECATED("Use maybe version", Local<Value> Get(Local<Value> key));
^
/root/.cache/node-gyp/12.9.1/include/node/v8config.h:311:3: note: in definition of macro 'V8_DEPRECATED'
declarator __attribute__((deprecated(message)))
^~~~~~~~~~
In file included from ../node_curve.cc:10:0:
../../nan/nan.h: In member function 'v8::Local<v8::Value> Nan::AsyncWorker::GetFromPersistent(uint32_t) const':
../../nan/nan.h:1884:57: warning: 'v8::Local<v8::Value> v8::Object::Get(uint32_t)' is deprecated: Use maybe version [-Wdeprecated-declarations]
return scope.Escape(New(persistentHandle)->Get(index));
^
In file included from /root/.cache/node-gyp/12.9.1/include/node/v8-internal.h:14:0,
from /root/.cache/node-gyp/12.9.1/include/node/v8.h:25,
from /root/.cache/node-gyp/12.9.1/include/node/node.h:63,
from ../../nan/nan.h:52,
from ../node_curve.cc:10:
/root/.cache/node-gyp/12.9.1/include/node/v8.h:3429:51: note: declared here
V8_DEPRECATED("Use maybe version", Local<Value> Get(uint32_t index));
^
/root/.cache/node-gyp/12.9.1/include/node/v8config.h:311:3: note: in definition of macro 'V8_DEPRECATED'
declarator __attribute__((deprecated(message)))
^~~~~~~~~~
In file included from /usr/include/c++/6/cassert:44:0,
from /root/.cache/node-gyp/12.9.1/include/node/node_object_wrap.h:26,
from ../../nan/nan.h:54,
from ../node_curve.cc:10:
../../nan/nan_object_wrap.h: In destructor 'virtual Nan::ObjectWrap::~ObjectWrap()':
../../nan/nan_object_wrap.h:24:25: error: 'class Nan::Persistent<v8::Object>' has no member named 'IsNearDeath'
assert(persistent().IsNearDeath());
^
In file included from ../../nan/nan.h:2698:0,
from ../node_curve.cc:10:
../../nan/nan_object_wrap.h: In member function 'void Nan::ObjectWrap::MakeWeak()':
../../nan/nan_object_wrap.h:67:34: warning: 'void v8::PersistentBase<T>::MarkIndependent() [with T = v8::Object]' is deprecated: Weak objects are always considered independent. Use TracedGlobal when trying to use EmbedderHeapTracer. Use a strong handle when trying to keep an object alive. [-Wdeprecated-declarations]
persistent().MarkIndependent();
^
In file included from /root/.cache/node-gyp/12.9.1/include/node/v8-internal.h:14:0,
from /root/.cache/node-gyp/12.9.1/include/node/v8.h:25,
from /root/.cache/node-gyp/12.9.1/include/node/node.h:63,
from ../../nan/nan.h:52,
from ../node_curve.cc:10:
/root/.cache/node-gyp/12.9.1/include/node/v8.h:567:22: note: declared here
V8_INLINE void MarkIndependent());
^
/root/.cache/node-gyp/12.9.1/include/node/v8config.h:311:3: note: in definition of macro 'V8_DEPRECATED'
declarator __attribute__((deprecated(message)))
^~~~~~~~~~
In file included from /usr/include/c++/6/cassert:44:0,
from /root/.cache/node-gyp/12.9.1/include/node/node_object_wrap.h:26,
from ../../nan/nan.h:54,
from ../node_curve.cc:10:
../../nan/nan_object_wrap.h: In static member function 'static void Nan::ObjectWrap::WeakCallback(const v8::WeakCallbackInfo<Nan::ObjectWrap>&)':
../../nan/nan_object_wrap.h:124:26: error: 'class Nan::Persistent<v8::Object>' has no member named 'IsNearDeath'
assert(wrap->handle_.IsNearDeath());
^
../node_curve.cc: In function 'Nan::NAN_METHOD_RETURN_TYPE DoCurve(Nan::NAN_METHOD_ARGS_TYPE)':
../node_curve.cc:18:79: error: no matching function for call to 'v8::Value::ToObject()'
unsigned char* arg0 = (unsigned char*) node::Buffer::Data(info[0]->ToObject());
^
In file included from /root/.cache/node-gyp/12.9.1/include/node/node.h:63:0,
from ../../nan/nan.h:52,
from ../node_curve.cc:10:
/root/.cache/node-gyp/12.9.1/include/node/v8.h:2545:44: note: candidate: v8::MaybeLocal<v8::Object> v8::Value::ToObject(v8::Local<v8::Context>) const
V8_WARN_UNUSED_RESULT MaybeLocal<Object> ToObject(
^~~~~~~~
/root/.cache/node-gyp/12.9.1/include/node/v8.h:2545:44: note:   candidate expects 1 argument, 0 provided
In file included from /root/.cache/node-gyp/12.9.1/include/node/v8-internal.h:14:0,
from /root/.cache/node-gyp/12.9.1/include/node/v8.h:25,
from /root/.cache/node-gyp/12.9.1/include/node/node.h:63,
from ../../nan/nan.h:52,
from ../node_curve.cc:10:
/root/.cache/node-gyp/12.9.1/include/node/v8.h:2559:31: note: candidate: v8::Local<v8::Object> v8::Value::ToObject(v8::Isolate*) const
Local<Object> ToObject(Isolate* isolate) const);
^
/root/.cache/node-gyp/12.9.1/include/node/v8config.h:311:3: note: in definition of macro 'V8_DEPRECATED'
declarator __attribute__((deprecated(message)))
^~~~~~~~~~
/root/.cache/node-gyp/12.9.1/include/node/v8.h:2559:31: note:   candidate expects 1 argument, 0 provided
Local<Object> ToObject(Isolate* isolate) const);
^
/root/.cache/node-gyp/12.9.1/include/node/v8config.h:311:3: note: in definition of macro 'V8_DEPRECATED'
declarator __attribute__((deprecated(message)))
^~~~~~~~~~
../node_curve.cc:19:79: error: no matching function for call to 'v8::Value::ToObject()'
unsigned char* arg1 = (unsigned char*) node::Buffer::Data(info[1]->ToObject());
^
In file included from /root/.cache/node-gyp/12.9.1/include/node/node.h:63:0,
from ../../nan/nan.h:52,
from ../node_curve.cc:10:
/root/.cache/node-gyp/12.9.1/include/node/v8.h:2545:44: note: candidate: v8::MaybeLocal<v8::Object> v8::Value::ToObject(v8::Local<v8::Context>) const
V8_WARN_UNUSED_RESULT MaybeLocal<Object> ToObject(
^~~~~~~~
/root/.cache/node-gyp/12.9.1/include/node/v8.h:2545:44: note:   candidate expects 1 argument, 0 provided
In file included from /root/.cache/node-gyp/12.9.1/include/node/v8-internal.h:14:0,
from /root/.cache/node-gyp/12.9.1/include/node/v8.h:25,
from /root/.cache/node-gyp/12.9.1/include/node/node.h:63,
from ../../nan/nan.h:52,
from ../node_curve.cc:10:
/root/.cache/node-gyp/12.9.1/include/node/v8.h:2559:31: note: candidate: v8::Local<v8::Object> v8::Value::ToObject(v8::Isolate*) const
Local<Object> ToObject(Isolate* isolate) const);
^
/root/.cache/node-gyp/12.9.1/include/node/v8config.h:311:3: note: in definition of macro 'V8_DEPRECATED'
declarator __attribute__((deprecated(message)))
^~~~~~~~~~
/root/.cache/node-gyp/12.9.1/include/node/v8.h:2559:31: note:   candidate expects 1 argument, 0 provided
Local<Object> ToObject(Isolate* isolate) const);
^
/root/.cache/node-gyp/12.9.1/include/node/v8config.h:311:3: note: in definition of macro 'V8_DEPRECATED'
declarator __attribute__((deprecated(message)))
^~~~~~~~~~
../node_curve.cc:20:79: error: no matching function for call to 'v8::Value::ToObject()'
unsigned char* arg2 = (unsigned char*) node::Buffer::Data(info[2]->ToObject());
^
In file included from /root/.cache/node-gyp/12.9.1/include/node/node.h:63:0,
from ../../nan/nan.h:52,
from ../node_curve.cc:10:
/root/.cache/node-gyp/12.9.1/include/node/v8.h:2545:44: note: candidate: v8::MaybeLocal<v8::Object> v8::Value::ToObject(v8::Local<v8::Context>) const
V8_WARN_UNUSED_RESULT MaybeLocal<Object> ToObject(
^~~~~~~~
/root/.cache/node-gyp/12.9.1/include/node/v8.h:2545:44: note:   candidate expects 1 argument, 0 provided
In file included from /root/.cache/node-gyp/12.9.1/include/node/v8-internal.h:14:0,
from /root/.cache/node-gyp/12.9.1/include/node/v8.h:25,
from /root/.cache/node-gyp/12.9.1/include/node/node.h:63,
from ../../nan/nan.h:52,
from ../node_curve.cc:10:
/root/.cache/node-gyp/12.9.1/include/node/v8.h:2559:31: note: candidate: v8::Local<v8::Object> v8::Value::ToObject(v8::Isolate*) const
Local<Object> ToObject(Isolate* isolate) const);
^
/root/.cache/node-gyp/12.9.1/include/node/v8config.h:311:3: note: in definition of macro 'V8_DEPRECATED'
declarator __attribute__((deprecated(message)))
^~~~~~~~~~
/root/.cache/node-gyp/12.9.1/include/node/v8.h:2559:31: note:   candidate expects 1 argument, 0 provided
Local<Object> ToObject(Isolate* isolate) const);
^
/root/.cache/node-gyp/12.9.1/include/node/v8config.h:311:3: note: in definition of macro 'V8_DEPRECATED'
declarator __attribute__((deprecated(message)))
^~~~~~~~~~
In file included from ../node_curve.cc:10:0:
../../nan/nan.h: In instantiation of 'void Nan::imp::SetMethodAux(T, v8::Local<v8::String>, v8::Local<v8::FunctionTemplate>, ...) [with T = v8::Local<v8::Object>]':
../../nan/nan.h:2394:20:   required from 'void Nan::SetMethod(HandleType<T>, const char*, Nan::FunctionCallback) [with T = v8::Object; HandleType = v8::Local; Nan::FunctionCallback = void (*)(const Nan::FunctionCallbackInfo<v8::Value>&)]'
../node_curve.cc:26:42:   required from here
../../nan/nan.h:2378:3: warning: 'bool v8::Object::Set(v8::Local<v8::Value>, v8::Local<v8::Value>)' is deprecated: Use maybe version [-Wdeprecated-declarations]
recv->Set(name, GetFunction(tpl).ToLocalChecked());
^~~~
In file included from /root/.cache/node-gyp/12.9.1/include/node/v8-internal.h:14:0,
from /root/.cache/node-gyp/12.9.1/include/node/v8.h:25,
from /root/.cache/node-gyp/12.9.1/include/node/node.h:63,
from ../../nan/nan.h:52,
from ../node_curve.cc:10:
/root/.cache/node-gyp/12.9.1/include/node/v8.h:3372:22: note: declared here
bool Set(Local<Value> key, Local<Value> value));
^
/root/.cache/node-gyp/12.9.1/include/node/v8config.h:311:3: note: in definition of macro 'V8_DEPRECATED'
declarator __attribute__((deprecated(message)))
^~~~~~~~~~
curve.target.mk:109: recipe for target 'Release/obj.target/curve/node_curve.o' failed
make: *** [Release/obj.target/curve/node_curve.o] Error 1
make: Leaving directory '/var/www/html/plugins/homebridge/resources/node_modules/curve25519-n/build'
gyp ERR! build error
gyp ERR! stack Error: `make` failed with exit code: 2
gyp ERR! stack     at ChildProcess.onExit (/usr/lib/node_modules/npm/node_modules/node-gyp/lib/build.js:196:23)
gyp ERR! stack     at ChildProcess.emit (events.js:209:13)
gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:272:12)
gyp ERR! System Linux 4.9.0-8-amd64
gyp ERR! command "/usr/bin/node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"
gyp ERR! cwd /var/www/html/plugins/homebridge/resources/node_modules/curve25519-n
gyp ERR! node -v v12.9.1
gyp ERR! node-gyp -v v5.0.3
gyp ERR! not ok
npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! curve25519-n@1.4.0 install: `node-gyp rebuild`
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the curve25519-n@1.4.0 install script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
npm ERR! A complete log of this run can be found in:
npm ERR!     /root/.npm/_logs/2019-08-28T20_24_54_773Z-debug.log
Help me :(

EDIT:

Dash-Button embarque une ancienne version de nodejs, c'est de là que viens le problème je pense.
Hello,

Le problème devrait avoir été résolu ce soir comme tu peux lire au dessus de ton message, peux tu mettre à jour le plug-in, relancer les dépendances et tester ?

Si toujours pas me renvoyer les logs de dépendances (complet)

Oui pour dash j'ai signalé au dev


Envoyé de mon iPhone en utilisant Tapatalk
Bonjour @Nebz,

Désolé j'ai du m'absenter pour le boulot.

J'ai installé la dernière version du 29/08 à l'instant et j'ai toujours les erreurs.

En pj les éléments demandés.

Merci d'avance
Pièces jointes
full_log.log
(312.81 Kio) Téléchargé 13 fois
homebridge_dep.txt
(32.94 Kio) Téléchargé 18 fois
Lenovo M720 Tiny - VMWare Debian 9 Jeedom DIY
Zwave - Bluetooth
Alexa Echo - Harmony Elite

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6514
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: Conflit avec un autre plugin ?

Message par Nebz » 30 août 2019, 12:43

heu... il y a des mises à jour depuis, notemment celle du jour qui a l'air de tout résoudre, tu peux tester ?
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

BetyOops
Timide
Messages : 107
Inscription : 13 avr. 2016, 14:35

Re: Conflit avec un autre plugin ?

Message par BetyOops » 30 août 2019, 14:08

Nebz a écrit :
30 août 2019, 12:43
heu... il y a des mises à jour depuis, notemment celle du jour qui a l'air de tout résoudre, tu peux tester ?
Alors, quand j'ai fais l'update du jour, j'avais toujours les erreurs sur l'installation des dépéndances.

Après réinstallation complète du plugin, l'install se termine correctement :)

Merci Nebz pour ta rapidité!
Lenovo M720 Tiny - VMWare Debian 9 Jeedom DIY
Zwave - Bluetooth
Alexa Echo - Harmony Elite

Avatar de l’utilisateur
darghorn
Timide
Messages : 97
Inscription : 08 nov. 2014, 04:35
Localisation : 92

Re: Conflit avec un autre plugin ?

Message par darghorn » 01 sept. 2019, 02:38

Nebz a écrit :
29 août 2019, 11:23
darghorn a écrit :
29 août 2019, 11:22
Nebz a écrit :
28 août 2019, 21:06
le problème semble donc résolu

@darghorn

pouvez vous mettre à jour homebridge et me confirmer egalement ?
Désolé j'ai un peu trainé à répondre ...

Donc au final après le reset de ma VM j'avais toujours le souci, j'ai du supprimer le plugin homebridge, et le remettre en beta pour que tout refonctionne.

Je l'ai repassé en stable, tout à l'air OK.

Merci à toi
si tu as le temps et l'envie (et toujours le snapshot) tu pourrais repartir du problème et mettre à jour (la stable = la beta maintenant) en stable et voir si ca le résout directement ?
Hello,

j'ai fait le test, je confirme que tout est OK désormais ;)
DIY / VM Debian sur ESXi 6.5 - ProLiant MicroServer Gen8
Protocoles : Z-Wave+ / Hue / Xiaomi

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6514
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: Conflit avec un autre plugin ?

Message par Nebz » 01 sept. 2019, 06:24

Merci !


Envoyé de mon iPhone en utilisant Tapatalk
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Almotra
Timide
Messages : 20
Inscription : 09 mars 2018, 15:59

Re: Conflit avec un autre plugin ?

Message par Almotra » 15 oct. 2019, 17:51

Bonjour,
Je viens d'avoir un souci, impossible de relancer les deamon (il me demander NODE_MODULE_VERSION 72) suite a un redémarrage de mon RPI.
Même après réparation et réinstallation.
Et bizarrement quand j'avais ce problème, Jeedom me disait qu'une mise a jour homebridge du 15/10 était disponible, mais plus après avoir résolu le problème.
J'ai donc supprimer Alexa API, remit une sauvegarde sans Alexa API (Je l'avais réinstaller dimanche) donc réinstallation d'une sauvegarde de 2 jours, OUF, relance de l'installation des dépendances puis démarrage des deamon, et la miracle, tout est passé sur OK.
J'en conclu qu'il ne faut absolument pas utiliser Alexa API avec Homebridge, c'est bien ça ?
Quelqu'un pourrait me confirmer ?
Car les deux fonctionnaient très bien ensemble jusqu'au redémarrage de mon RPI.

Alex

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6514
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Conflit avec un autre plugin ?

Message par Nebz » 15 oct. 2019, 18:00

Non pas du tout, ces deux plugins sont justement gérés par moi même (pour la partie installation pour alexaapi) et donc ont le même système d'installation et sont à 200% compatibles entre eux.


Envoyé de mon iPhone en utilisant Tapatalk
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6514
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: Conflit avec un autre plugin ?

Message par Nebz » 15 oct. 2019, 18:02

Par contre ton problème est typique d'un plug-in qui installe une mauvaise version de nodejs...


Envoyé de mon iPhone en utilisant Tapatalk
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Almotra
Timide
Messages : 20
Inscription : 09 mars 2018, 15:59

Re: Conflit avec un autre plugin ?

Message par Almotra » 15 oct. 2019, 18:15

Ok merci pour tes réponses.
Je viens d’installer la dernière version de homebridge qui finalement me l’a reproposé.
J’ai réinstaller et paramétrer Alexa Api, relancer les deamon homebridge, redémarrer mon RPI et tous fonctionne.
A ne rien y comprendre.


Envoyé de mon iPhone en utilisant Tapatalk

Répondre

Revenir vers « [Plugin Tiers] Homebridge »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 1 invité